JAXBException (Java Platform SE 8 )
Keywords: javax.xml.bind.JAXBException class
Date: 2026-03-29

javax.xml.bind

## Class JAXBException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.bind.JAXBException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MarshalException, PropertyException, UnmarshalException, ValidationException

      public class JAXBException
      extends Exception

  This is the root exception class for all JAXB exceptions.
  Since:
    JAXB1.0
  See Also:
    `JAXBContext`, `Marshaller`, `Unmarshaller`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAXBException(String message)` Construct a JAXBException with the specified detail message.
    `JAXBException(String message, String errorCode)` Construct a JAXBException with the specified detail message and vendor specific errorCode.
    `JAXBException(String message, String errorCode, Throwable exception)` Construct a JAXBException with the specified detail message, vendor specific errorCode, and linkedException.
    `JAXBException(String message, Throwable exception)` Construct a JAXBException with the specified detail message and linkedException.
    `JAXBException(Throwable exception)` Construct a JAXBException with a linkedException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
    `String` | `getErrorCode()` Get the vendor specific error code
    `Throwable` | `getLinkedException()` Get the linked exception
    `void` | `printStackTrace()` Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.
    `void` | `printStackTrace(PrintStream s)` Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.
    `void` | `printStackTrace(PrintWriter s)` Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintWriter.
    `void` | `setLinkedException(Throwable exception)` Add a linked Exception.
    `String` | `toString()` Returns a short description of this JAXBException.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JAXBException

          public JAXBException(String message)

      Construct a JAXBException with the specified detail message. The errorCode and linkedException will default to null.
      Parameters:
        `message` - a description of the exception

    - #### JAXBException

          public JAXBException(String message,
                               String errorCode)

      Construct a JAXBException with the specified detail message and vendor specific errorCode. The linkedException will default to null.
      Parameters:
        `message` - a description of the exception
        `errorCode` - a string specifying the vendor specific error code

    - #### JAXBException

          public JAXBException(Throwable exception)

      Construct a JAXBException with a linkedException. The detail message and vendor specific errorCode will default to null.
      Parameters:
        `exception` - the linked exception

    - #### JAXBException

          public JAXBException(String message,
                               Throwable exception)

      Construct a JAXBException with the specified detail message and linkedException. The errorCode will default to null.
      Parameters:
        `message` - a description of the exception
        `exception` - the linked exception

    - #### JAXBException

          public JAXBException(String message,
                               String errorCode,
                               Throwable exception)

      Construct a JAXBException with the specified detail message, vendor specific errorCode, and linkedException.
      Parameters:
        `message` - a description of the exception
        `errorCode` - a string specifying the vendor specific error code
        `exception` - the linked exception

  - ### Method Detail

    - #### getErrorCode

          public String getErrorCode()

      Get the vendor specific error code
      Returns:
        a string specifying the vendor specific error code

    - #### getLinkedException

          public Throwable getLinkedException()

      Get the linked exception
      Returns:
        the linked Exception, null if none exists

    - #### setLinkedException

          public void setLinkedException(Throwable exception)

      Add a linked Exception.
      Parameters:
        `exception` - the linked Exception (A null value is permitted and indicates that the linked exception does not exist or is unknown).

    - #### toString

          public String toString()

      Returns a short description of this JAXBException.
      Overrides:
        `toString` in class `Throwable`
      Returns:
        a string representation of this throwable.

    - #### printStackTrace

          public void printStackTrace(PrintStream s)

      Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` - PrintStream to use for output

    - #### printStackTrace

          public void printStackTrace()

      Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.
      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintWriter s)

      Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintWriter.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` - PrintWriter to use for output

    - #### getCause

          public Throwable getCause()

      Description copied from class: `Throwable`
      Returns the cause of this throwable or `null` if the cause is nonexistent or unknown. (The cause is the throwable that caused this throwable to get thrown.)

      This implementation returns the cause that was supplied via one of the constructors requiring a `Throwable`, or that was set after creation with the `Throwable.initCause(Throwable)` method. While it is typically unnecessary to override this method, a subclass can override it to return a cause set by some other means. This is appropriate for a "legacy chained throwable" that predates the addition of chained exceptions to `Throwable`. Note that it is not necessary to override any of the `PrintStackTrace` methods, all of which invoke the `getCause` method to determine the cause of a throwable.

      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the cause of this throwable or `null` if the cause is nonexistent or unknown.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.